Add a representative | Moov Documentation
Add a representative
Moov accounts associated with businesses require information regarding individuals who represent the business. You can provide this information by creating a representative. Each account is allowed a maximum of 7 representatives. Read our business representatives guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/representatives.write scope.
POST
/accounts/{accountID}/representatives
Ask
curl -X POST "https://api.moov.io/accounts/{accountID}/representatives" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"name": {
"firstName": "Jordan",
"lastName": "Lee"
}
}'
Ask
mc, _ := moov.NewClient()
var accountID string
mc.CreateRepresentative(ctx, accountID, moov.CreateRepresentative{
Address: &moov.Address{
AddressLine1: "12 Main Street",
City: "Cabot Cove",
StateOrProvince: "ME",
PostalCode: "04103",
Country: "US",
},
BirthDate: &moov.Date{
Day: 10,
Month: 11,
Year: 1985,
},
Email: "amanda@classbooker.dev",
GovernmentID: &moov.GovernmentID{
SSN: &moov.SSN{
Full: "111111111",
LastFour: "1111",
},
},
Name: moov.Name{
FirstName: "Amanda",
LastName: "Yang",
},
Phone: &moov.Phone{
Number: "8185551212",
CountryCode: "1",
},
Responsibilities: &moov.Responsibilities{
IsController: false,
IsOwner: true,
OwnershipPercentage: 38,
JobTitle: "CEO",
},
})
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.representatives.create({
accountID: "5abfe3a5-7cd3-4f92-a8bd-19b64e3ccc10",
createRepresentative: {
name: {
firstName: "Jordan",
middleName: "Reese",
lastName: "Lee",
suffix: "Jr",
},
phone: {
number: "8185551212",
countryCode: "1",
},
email: "jordan.lee@classbooker.dev",
address: {
addressLine1: "123 Main Street",
addressLine2: "Apt 302",
city: "Boulder",
stateOrProvince: "CO",
postalCode: "80301",
country: "US",
},
birthDate: {
day: 9,
month: 11,
year: 1989,
},
responsibilities: {
ownershipPercentage: 38,
jobTitle: "CEO",
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\